ubuntu 14.04 安装 open-vm-tools失败

系统运维 waitig 1504℃ 百度已收录 0评论

在虚拟机中安装open-vm-tools时提示失败,错误提示如下:

——————————————————————————————————————————————————————————

invoke-rc.d: initscript open-vm-tools, action "start" failed.
dpkg: error processing package open-vm-tools (–configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of open-vm-tools-desktop:
 open-vm-tools-desktop depends on open-vm-tools (= 2:9.4.0-1280544-5ubuntu6.2); however:
  Package open-vm-tools is not configured yet.

dpkg: error processing package open-vm-tools-desktop (–configure):
 dependency problems – leaving unconfigured
dpkg: dependency problems prevent configuration of open-vm-toolbox:
 open-vm-toolbox depends on open-vm-tools-desktop; however:
  Package open-vm-tools-desktop is not configured yet.

dpkg: error processing package open-vm-toolbox (–configure):
 dependency problems – leaving unconfigured
dpkg: dependency problems prevent configuration of open-vm-tools-dkms:
 open-vm-tools-dkms depends on open-vm-tools (>= 2:9.4.0-1280544-5ubuntu3); however:
  Package open-vm-tools is not configured yet.

dpkg: error processing package open-vm-tools-dkms (–configure):
 dependency problems – leaving unconfigured
dpkg: dependency problems prevent configuration of open-vm-dkms:
 open-vm-dkms No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                                        No apport report written because the error message indicates its a followup error from a previous failure.
                                                         No apport report written because MaxReports is reached already
                                                                                                                       No apport report written because MaxReports is reached already
            depends on open-vm-tools-dkms; however:
  Package open-vm-tools-dkms is not configured yet.

dpkg: error processing package open-vm-dkms (–configure):
 dependency problems – leaving unconfigured
Errors were encountered while processing:
 open-vm-tools
 open-vm-tools-desktop
 open-vm-toolbox
 open-vm-tools-dkms
 open-vm-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

——————————————————————————————————————————————————————————

这种情况下,需要将原有的安装及配置全部删除即可,亲测有效!

$ sudo apt-get autoremove open-vm-dkms open-vm-tools –purge

命令执行完成后,再次执行安装命令:

$ sudo apt-get install open-vm-tools open-vm-tools-desktop open-vm-toolbox open-vm-dkms

完美通过!!!


本文由【waitig】发表在等英博客
本文固定链接:ubuntu 14.04 安装 open-vm-tools失败
欢迎关注本站官方公众号,每日都有干货分享!
等英博客官方公众号
点赞 (0)分享 (0)